﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DynamicGrid.ascx.cs" Inherits="NorthStar.DynamicGrid.DynamicGrid" EnableViewState="false"%>
<%@ Register TagPrefix="ASPNETPortal" TagName="Title" Src="~/DesktopModuleTitle.ascx" %>
<ASPNETPORTAL:TITLE id="Title1" runat="server"/>
<style type="text/css">
.DGHeader {
    height: 26px;
    font-family: Tahoma;
	font-size: 9pt;
	font-weight: bold;
	color: #000;
	text-align: left;
	padding:3px;
}
.DGFormInput {
    font-family: Tahoma;
	font-size: 9pt;
	color: #000;
	text-align: right;
}
a.rowValue:link {font-weight: bold; text-decoration:underline;}
a.rowValue:visited {font-weight: bold; text-decoration:underline;}
a.rowValue:hover {font-weight: bold; text-decoration:underline;}

</style>
<script src="<%=this.TemplateSourceDirectory %>/resources/js/DynamicGrid.js" type="text/javascript"></script>
<script language="javascript" type="text/javascript">
    // Set up the objects
    var DG_<%= ModuleId.ToString() %> = new dynamicGridObject();
    DG_<%= ModuleId.ToString() %>.ModuleID = <%= ModuleId.ToString() %>;
    DG_<%= ModuleId.ToString() %>.ControlID = '<%=this.ClientID.ToString() %>';
    DG_<%= ModuleId.ToString() %>.ControlPath = '<%=this.TemplateSourceDirectory %>';    
    
    function setParameterValue(id, value)
    {
        if(document.getElementById(id) != undefined)
            document.getElementById(id).value = value;
    }
    
    function getModuleParam(id, paramname)
    {
    var ctrl=   id.ControlID+'_param_'+paramname.toLowerCase();
        var retVal = document.getElementById(ctrl);
        if (retVal != undefined || paramname.toLowerCase() == "reporttype") 
        {
            if (paramname.toLowerCase() == 'reporton' || paramname.toLowerCase() == 'reporttype')
                return getReportOnType(id.ControlID, paramname);
            else
                return retVal.value;
        }
        else {return "";}
    }
    
    function getReportOnType(controlID, paramname)
    {
        var retVal = document.getElementById(controlID+'_param_reporton');
        
        if (retVal != undefined)
        {
            var ordinal = 0;
            if (paramname.toLowerCase() == 'reporton')
                ordinal = 1;
            
            return retVal.value.split(':')[ordinal].toString();
        }
        else
            return "";

    }
    
    function filterGrid(val) {
        DG_<%= ModuleId.ToString() %>.Grid().removeFilter();
        var cols = val.value.split("|");
        for (var i = 0; i < cols.length; i++)
        {
            var params = cols[i].split(",");
            var filterType = eval(params[1]);
            DG_<%= ModuleId.ToString() %>.Grid().addFilterCriteria(params[0],filterType,params[2]);
        }        
        DG_<%= ModuleId.ToString() %>.Grid().executeFilter();
    }
    
    function updateddp() {
        raiseAsyncPostback();
    }
    
    function raiseAsyncPostback() {
        __doPostBack("<%=this.lb1.ClientID %>", "");
    }
    
</script>
<div id="gridHolder" runat="server">
    <asp:PlaceHolder ID="ph1" runat="server">
    <asp:Label ID="lblInvalidMappingFile" Text="This Dynamic Grid has not been configured. Click the Edit link in the Title bar to configure this module." Visible="false" runat="server"/>
    </asp:PlaceHolder>
    </div>
<div runat="server">
<asp:SqlDataSource ID="sdsDGFilter" runat="server" ConnectionString="<%$ appSettings:NorthStarConnectionString %>" DataSourceMode="DataReader"></asp:SqlDataSource>

<asp:scriptmanager runat="server" ID="sm1"></asp:scriptmanager>
<asp:UpdatePanel ID="filterPanel" runat="server" visible="false">
    <ContentTemplate>
        <div style="text-align:right;background-color:#2d5f9c">           
            <input type="button" Value=" + " id="btnAddFilter" name="btnAddFilter" class="Normal" onClick="DG_<%= ModuleId.ToString() %>.ShowFilter('modId=' + DG_<%= ModuleId.ToString() %>.ModuleID + '',600,600);"></input>
            &nbsp;&nbsp;
            <asp:DropDownList runat="server" ID="ddlFilter" class="DGFormInput" DataSourceID="sdsDGFilter" AppendDataBoundItems="true" DataTextField="FilterName" DataValueField="FilterData">
                <asp:ListItem text="Filter Templates" />
            </asp:DropDownList>
            <asp:LinkButton ID="lb1" runat="server" style="display:none">lb1</asp:LinkButton>
            <span visible="false" style="width:300px" ></span>
        </div>
    </ContentTemplate>
</asp:UpdatePanel> 
</div>