﻿<%@ Register TagPrefix="ASPNETPortal" TagName="Banner" Src="~/DesktopPortalBanner.ascx" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CheckDetail.ascx.cs" Inherits="NorthStar.DynamicGrid.PopUpControls.CheckDetail" %>
<%@ Register Assembly='obout_Grid_NET' TagPrefix='ogrid' Namespace='Obout.Grid' %>
    <style type="text/css">
        *
        {
        	font-family: Arial, Helvetica;
        	color: #000;
        }
        td
        {
        	font-size: 8pt;
        }
        .tdLabel 
        {
        	font-weight: bold;
        	text-align: right;
        }
        .tdCenter
        {
        	text-align:center;
        }
        .tdRight
        {
        	text-align:right;
        }
        .tdValue
        {
        	border-bottom: solid 1px #000;
        }
        .moneyCell
        {
        	text-align:right;
        }
        .gridHeader
        {
        	text-align:left;
        	font-size: 9pt;
        	font-weight:bold;
        	background-color:#d0d0d0;
        }
        .deletedItem
        {
        	color: #ff0000;
        	font-weight:bold;
        }
        .amountCol
        {
        	width: 125px;
        }
    </style>
    
            <asp:Label ID="lblPageInformation" Text="Unable to locate specified check." runat="server" Visible="false" />
        <asp:Panel ID="pnlCheckDetail" runat="server">
        <h2>Check #<%= Request.QueryString["checknumber"] %> Detail</h2>
        <h3>Unit <asp:Label ID="lblUnit" runat="server" />, <asp:Label ID="lblSalesDate" runat="server" /></h3>
        <table border="0">
        <tr>
            <td class="tdLabel">Check #:</td>
            <td class="tdValue"><asp:Label ID="lblCheckNumber" runat="server" Text="Unknown" /></td>
            <td>&nbsp;</td>
            <td class="tdLabel">Table #:</td>
            <td class="tdValue"><asp:Label ID="lblTableNumber" runat="server" Text="Unknown" /></td>
        </tr>
        <tr>
            <td class="tdLabel">Check Date:</td>
            <td class="tdValue"><asp:Label ID="lblCheckDate" runat="server" Text="Unknown" /></td>
            <td>&nbsp;</td>
            <td class="tdLabel">Guests:</td>
            <td class="tdValue"><asp:Label ID="lblGuests" runat="server" Text="Unknown" /></td>            

        </tr>
        <tr>
            <td class="tdLabel">Open Time:</td>
            <td class="tdValue"><asp:Label ID="lblStartTime" runat="server" Text="Unknown" /></td>
            <td>&nbsp;</td>
            <td class="tdLabel">Opened By:</td>
            <td class="tdValue"><asp:Label ID="lblServer" runat="server" Text="Unknown" /></td>
        </tr>
        <tr>
            <td class="tdLabel">Close Time:</td>
            <td class="tdValue"><asp:Label ID="lblCloseTime" runat="server" Text="Unknown" /></td>
            <td>&nbsp;</td>
            <td class="tdLabel">Closed By:</td>
            <td class="tdValue"><asp:Label ID="lblClosedBy" runat="server" Text="Unknown" /></td>
        </tr>
        </table>
        <br />
    <asp:GridView ID="gvCheckDetail" runat="server" Width="100%" AutoGenerateColumns="false" OnRowDataBound="gvCheckDetail_OnRowDataBound">
        <Columns>
          <asp:BoundField DataField="INV_NUMBER" HeaderText="Item #"  ControlStyle-Width="10%" ItemStyle-CssClass="tdCenter"/>
          <asp:TemplateField HeaderText="Description" ControlStyle-Width="40%">
              <ItemTemplate>
                <%# IsDeletedItem(Eval("DESCR").ToString(), Convert.ToInt32(Eval("DELETION")))%>
              </ItemTemplate>
          </asp:TemplateField>
          <asp:BoundField DataField="COMP_USER" HeaderText="Comp User" ControlStyle-Width="10%" ItemStyle-CssClass="tdRight"/>
          <asp:BoundField DataField="SEND_TIME" HeaderText="Sent" ControlStyle-Width="10%" DataFormatString="{0:t}" ItemStyle-CssClass="tdRight" />
          <asp:BoundField DataField="FULLPRICE" HeaderText="Gross" ControlStyle-Width="10%" ItemStyle-CssClass="moneyCell" DataFormatString="{0:C2}"/>
          <asp:BoundField DataField="DISC_AMT" HeaderText="Discount" ControlStyle-Width="10%" ItemStyle-CssClass="moneyCell" DataFormatString="{0:C2}"/>
          <asp:BoundField DataField="REALPRICE" HeaderText="Net" ControlStyle-Width="10%" ItemStyle-CssClass="moneyCell" DataFormatString="{0:C2}"/>          
        </Columns>
        <HeaderStyle CssClass="gridHeader" />
    </asp:GridView>
    <div style="float:right;height:30px">
    <table border="0">
    <tr>
    <td align="right"><strong>Total:</strong></td>
    <td><strong><asp:Label ID="lblTotalItemsCost" runat="server" /></strong></td>
    </tr>
    </table>
    </div>
    
    <br style="clear:both" />
    
    <div style="float:right;">
    <asp:GridView ID="gvTax" runat="server" AutoGenerateColumns="false">
    <Columns>
        <asp:BoundField HeaderText="Tax Code" DataField="TAXCODE" ControlStyle-Width="15%" ItemStyle-CssClass="tdCenter"/>
        <asp:BoundField HeaderText="Amount" DataField="PRINT_TAX" ControlStyle-Width="15%" DataFormatString="{0:C2}" ItemStyle-CssClass="moneyCell" />
    </Columns>
    <HeaderStyle CssClass="gridHeader" />
    </asp:GridView>
    </div>
    <br style="clear:both" /><br />
    <asp:GridView ID="gvPayments" runat="server" Width="100%" AutoGenerateColumns="false">
    <Columns>
        <asp:BoundField HeaderText="Payment Type" DataField="NAME" ControlStyle-Width="26%"/>
        <asp:BoundField HeaderText="Pay Memo" DataField="MEMO" ControlStyle-Width="26%"/>
        <asp:BoundField HeaderText="Amount" DataField="AMOUNT" ControlStyle-Width="12%" DataFormatString="{0:C2}" ItemStyle-CssClass="moneyCell" />
        <asp:BoundField HeaderText="Tip" DataField="TIP" ControlStyle-Width="12%" DataFormatString="{0:C2}" ItemStyle-CssClass="moneyCell" />
        <asp:BoundField HeaderText="Change" DataField="CASH_PDOUT" ControlStyle-Width="12%" DataFormatString="{0:C2}" ItemStyle-CssClass="moneyCell" />
        <asp:BoundField HeaderText="Total" DataField="Total" ControlStyle-Width="12%" DataFormatString="{0:C2}" ItemStyle-CssClass="moneyCell" />
    </Columns>
    <HeaderStyle CssClass="gridHeader" />
    </asp:GridView>
    </asp:Panel>