﻿<%@ Register TagPrefix="ASPNETPortal" TagName="Banner" Src="~/DesktopPortalBanner.ascx" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="FilterTemplate.ascx.cs" Inherits="NorthStar.DynamicGrid.PopUpControls.FilterTemplate" %>

<script language="javascript" type="text/javascript">
    function bReset() {
        window.location.href = window.location.href;
    }
    
</script>
<style type="text/css">
    .NormGV
{
    FONT-SIZE: 11px;
    LINE-HEIGHT: 12px;
    FONT-FAMILY: Verdana, Helvetica, sans-serif
    }
.NormGV input
{
	font-size: x-small;
	width: 90%;
	text-align: left;
}
.NormGV tr th
{
    FONT-WEIGHT: bold;
    FONT-SIZE: 11px;
    LINE-HEIGHT: 12px;
    FONT-FAMILY: Verdana, Helvetica, sans-serif
}
</style>

<asp:SqlDataSource ID="sdsFilterEdit" runat="server" 
    ConnectionString="<%$ appSettings:NorthStarConnectionString %>" DataSourceMode="DataReader">
</asp:SqlDataSource>

<div style="text-align:center" class="NormGV"><b>Add/Remove Filter Templates</b></div>
<br />
<table align="center" border="1" cellpadding="3" cellspacing="0" width="75%">
<tr>
<td>

<table border="0" cellpadding="1" cellspacing="1" align="center" width="100%">
<tr align="center">
<td align="center">
<div class="NormGV">
<b>Template Name: </b><asp:RequiredFieldValidator ID="RequiredFieldValidator1" 
                        runat="server" ControlToValidate="txtFilterName" Display="Dynamic"
                        ErrorMessage="Required">*</asp:RequiredFieldValidator>
</div>
</td>
    <td align="center">
<asp:TextBox ID="txtFilterName" runat="server" MaxLength="42" CssClass="NormGV" Width="142px" />
</td>
</tr>
<tr><td colspan="2" align="center">
<asp:GridView runat="server" ID="gvFilters" AutoGenerateColumns="false" DataKeyNames="key" 
    EnableViewState="true" CssClass="NormGV" CellPadding="2" GridLines="None">
<Columns>
<asp:TemplateField>
    <ItemTemplate>
        <asp:HiddenField ID="hidKey" runat="server" Value='<%# Bind("key") %>' />
    </ItemTemplate>
</asp:TemplateField>
<asp:BoundField HeaderText="Columns" DataField="value" ItemStyle-HorizontalAlign="Center" >
    <ItemStyle HorizontalAlign="Left"></ItemStyle>
</asp:BoundField>
<asp:TemplateField HeaderText="Filter Types">
    <ItemTemplate>
        <asp:DropDownList runat="server" ID="ddlFilterTypes" DataTextField="key" DataValueField="value" CssClass="NormGV">
            <asp:ListItem Text="No Filter" Value="OboutGridFilterCriteria.NoFilter" />
            <asp:ListItem Text="Contains" Value="OboutGridFilterCriteria.Contains" />
            <asp:ListItem Text="Does Not Contain" Value="OboutGridFilterCriteria.DoesNotContain" />
            <asp:ListItem Text="Starts With" Value="OboutGridFilterCriteria.StartsWith" />
            <asp:ListItem Text="Ends With" Value="OboutGridFilterCriteria.EndsWith" />
            <asp:ListItem Text="Equal To" Value="OboutGridFilterCriteria.EqualTo" />
            <asp:ListItem Text="Not Equal To" Value="OboutGridFilterCriteria.NotEqualTo" />
            <asp:ListItem Text="Smaller Than" Value="OboutGridFilterCriteria.SmallerThan" />
            <asp:ListItem Text="Greater Than" Value="OboutGridFilterCriteria.GreaterThan" />
            <asp:ListItem Text="Smaller Than Or Equal To" Value="OboutGridFilterCriteria.SmallerThanOrEqualTo" />
            <asp:ListItem Text="Greater Than Or Equal To" Value="OboutGridFilterCriteria.GreaterThanOrEqualTo" />
            <asp:ListItem Text="Is Null" Value="OboutGridFilterCriteria.IsNull" />
            <asp:ListItem Text="Is Not Null" Value="OboutGridFilterCriteria.IsNotNull" />
            <asp:ListItem Text="Is Empty" Value="OboutGridFilterCriteria.IsEmpty" />
            <asp:ListItem Text="Is Not Empty" Value="OboutGridFilterCriteria.IsNotEmpty" />
        </asp:DropDownList>    
    </ItemTemplate>
</asp:TemplateField>
<asp:TemplateField HeaderText="Filter Values">
    <ItemTemplate>
        <asp:TextBox runat="server" ID="filterValues" CssClass="NormGV" MaxLength="20" Width="65px" />
    </ItemTemplate>
</asp:TemplateField>
</Columns>
</asp:GridView>
</td></tr>
<tr>
    <td align="center" colspan="2" style="height:24px">
        <asp:ValidationSummary ID="ValidationSummary1" runat="server" HeaderText="Template Name " DisplayMode="SingleParagraph" CssClass="NormGV" />
    </td>
</tr>
<tr><td align="center" colspan="2">
<asp:Button ID="btnAddFilter" runat="server" Text="Create Template" onclick="btnAddFilter_Click" 
    CssClass="NormGV" />&nbsp;<asp:Button ID="btnReset" CausesValidation="false" CssClass="NormGV" runat="server" Text="Clear" />
    </td>
  </tr>
</table>
</td></tr></table>
<br />
<table align="center" border="1" cellpadding="3" cellspacing="0" width="75%">
<tr><td>
<table align="center">
    <tr>
        <td align="center">
            <asp:DropDownList ID="ddlFiltEdit" DataSourceID="sdsFilterEdit" runat="server" 
                DataTextField="FilterName" DataValueField="FilterName" OnDataBound="ddlDataBound" >
            </asp:DropDownList>
            <asp:Button ID="btnDelFT" runat="server" Text="Delete Template" 
                onclick="btnDelFT_Click" CausesValidation="false" />
        </td>
    </tr>
</table>
</td></tr></table>
<table align="center" border="0" cellpadding="3" cellspacing="0" width="75%">
<tr><td>
<table border="0" cellpadding="1" cellspacing="1" align="center" width="100%">
    <tr>
        <td align="center">
            <asp:Label ID="lblResults" runat="server" />
        </td>
        <td align="right">
            <asp:Button ID="btnDone" runat="server" Text="Done" CssClass="NormGV" onclick="btnDone_Click" CausesValidation="false" />
        </td>
    </tr>
</table>
</td></tr></table>
