﻿<%@ Register TagPrefix="ASPNETPortal" TagName="Banner" Src="~/DesktopPortalBanner.ascx"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ItemFilter.ascx.cs" Inherits="NorthStar.DynamicGrid.PopUpControls.ItemFilter" %>
<asp:ScriptManager ID="sm1" runat="server" EnablePartialRendering="true">
</asp:ScriptManager>
<style>
    p {font-family:Arial, Helvetica;font-size: 10pt;}
    th {font-family:Arial, Helvetica;font-size: 8pt;}
</style>
<script type="text/javascript" language="javascript">
    var destinationId = '<%= Request.QueryString["destinationId"].ToString() %>';
    function loadParentData() {
        var parentField = window.opener.document.getElementById(destinationId);
        if (parentField != undefined) {
            var vals = parentField.value.replace(" ","").split(",");
            
            var currentVals = vals.sort();
            
            for (var i = 0; i < currentVals.length; i++) {
                for (var j = 0; j < itemList.length; j++) {
                    if (itemList[j].value == currentVals[i]) {
                        var newOpt = document.createElement('option');
                        newOpt.text = itemList[j].text;
                        newOpt.value = itemList[j].value;

                        try {
                            filterList.add(newOpt, null);
                        }
                        catch (ex) {
                            filterList.add(newOpt);
                        }
                    }                        
                }
            }
        }
    }

    function moveItem(toFilter) {
        
        if (toFilter && itemList.selectedIndex > -1) {        
                var newOpt = document.createElement('option');
                newOpt.text = itemList[itemList.selectedIndex].text;
                newOpt.value = itemList[itemList.selectedIndex].value;

                try {
                    filterList.add(newOpt, null);
                }
                catch (ex) {
                    filterList.add(newOpt);
                }
        }

        if (!toFilter && filterList.selectedIndex > -1) {
            for(var i = filterList.length - 1; i>=0; i--)
            {
                if (filterList.options[i].selected){
                    filterList.remove(i);
                }    
            }
        }
    }

    // returns a comma delimited list
    function setParentValue() {

        var retVal = "";
        var retArray = new Array();
        for (var i = 0; i <= filterList.length - 1; i++) {
            var addValue = true;
            for (var j = 0; j < retArray.length; j++) {
                if (retArray[j] == filterList.options[i].value)
                {
                    addValue = false;
                    break;
                }        
            }
            
            if (addValue)
                retArray.push(filterList.options[i].value);
        }
        retVal = retArray.join(",");
        window.opener.setParameterValue(destinationId, retVal);
        setTimeout("self.close();", 500);
    }

</script>
<script src="./resources/js/filterlist.js" type=text/javascript></script>
<p><strong>Filter Items: <asp:Label ID="lblReportType" runat="server" Text="" /> <asp:Label ID="lblReportOn" runat="server" Text="" /></strong></p>
<center>
    <table>
    <tr>
        <th><strong>All Items</strong></th>
        <th><strong>&nbsp;</strong></th>
        <th><strong>Filter Items</strong></th>
    </tr>
    <tr>
    <td valign="top">
        <!-- Item List //-->
        <asp:SqlDataSource ID="sdsItems"
         ConnectionString="<%$ AppSettings:NorthStarConnectionString %>"
         SelectCommand="SELECT DISTINCT INV_NUMBER, '(' + CONVERT(varchar, INV_NUMBER) + ') ' + ISNULL(NULLIF(DESCR,''),'[NO DESC]') DESCR FROM tblFCOSTN LEFT JOIN Dim_Unit ON tblFCOSTN.UNITNUM = Dim_Unit.Unit_Number WHERE ( Unit_Number = CASE WHEN @reporttype='unit' THEN COALESCE(@reporton,Unit_Number) ELSE Unit_Number END AND Unit_Region = CASE WHEN @reporttype='region' THEN COALESCE(@reporton,Unit_Region) ELSE Unit_Region END AND Unit_District = CASE WHEN @reporttype='district' THEN COALESCE(@reporton,Unit_District) ELSE Unit_District END ) ORDER BY INV_NUMBER"                  
         runat="server">
        <SelectParameters>
            <asp:Parameter Name="reporton" Type="String" DefaultValue="" />
            <asp:Parameter Name="reporttype" Type="String" DefaultValue="" />
        </SelectParameters>
        </asp:SqlDataSource>
        
            <div class="Normal toolbarContainer">
            <asp:ListBox ID="lbItem" CssClass="GridItem" DataSourceID="sdsItems" DataTextField="DESCR" Width="250" Height="225"
                            DataValueField="INV_NUMBER" runat="server" />
            </div>
            <input type="text" id="txtsearch" onkeydown="if (event.keyCode == 13) {document.getElementById('btnSearch').click();return false;}" />
            <input type="button" id="btnSearch" onclick="filterValues();" value="Search" />
            
    </td>
    <td align="center"><input type="button" value="&gt;&gt;" onclick="moveItem(true)" /><br />
    <input type="button" value="&lt;&lt;" onclick="moveItem(false)"/></td>
    <td>
        <select class="GridItem" id="lbFilter" size="4" style="height:225px;width:250px;" />
    </td>
    </tr>
    <tr>
        <td colspan="3" align="right">
            <input type="button" value="OK" onclick="setParentValue();"/> <input type="button" value="Cancel" onclick="self.close();" /></td>
    </tr>
    </table>
</center>
<script type="text/javascript" language="javascript">
    var filterList = document.getElementById("lbFilter");
    var itemList = document.getElementById("<%= lbItem.ClientID %>");

    loadParentData();

    var myfilter = new filterlist(document.forms[0].<%= lbItem.ClientID.ToString().Replace("_","$") %>);

    function filterValues()
    {
        document.getElementById("btnSearch").disabled = true;
        setTimeout("doFilterSearch();",500);
    }
    
    function doFilterSearch()
    {
        myfilter.set(document.getElementById('txtsearch').value);
        document.getElementById("btnSearch").disabled = false;
    }
    
</script>