﻿<%@ Register TagPrefix="ASPNETPortal" TagName="Banner" Src="~/DesktopPortalBanner.ascx" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditDynamicGrid.ascx.cs" Inherits="NorthStar.DynamicGrid.PopUpControls.EditDynamicGrid" %>
    <asp:SqlDataSource ID="sdsReportList"
			SelectCommandType="Text"
			ConnectionString="<%$AppSettings:NorthStarConnectionString %>"
			CancelSelectOnNullParameter="false"
			DataSourceMode="DataReader"
			runat="server">
    </asp:SqlDataSource>
<script language="javascript" type="text/javascript">

function ConfirmDelete()
{
    var retVal = false;
    var list = document.getElementById("<%=lbReportList.ClientID.ToString() %>");
    if (list.selectedIndex >-1)
        retVal = confirm("Are you sure you want to delete " + list.options[list.selectedIndex].text + "?");
    else
        alert("No report selected.");
        
    return retVal;
    
}

function ConfirmApply()
{
    var retVal = true;
    if (document.getElementById("<%=lbReportList.ClientID.ToString() %>").selectedIndex == -1)
    {
        alert('No Report Selected.\r\nPlease select a report to apply to this grid.');
        retVal = false;
    }
    return retVal;
       
}
</script>
<table width="100%" border="0">
<tr>
    <td width="75%" class="Message" valign="top"><strong>
        Select a report from the list below.</strong></td>
    <td width="25%" class="Message" valign="top"><strong>Report Management</strong></td>
</tr>
<tr>
    <td width="65%" valign="top" class="Normal"><br />
        <asp:ListBox ID="lbReportList" Height="225" DataSourceID="sdsReportList"
            DataTextField="Title"
            DataValueField="ReportID"
            SelectionMode="Single"
            Width="100%" runat="server"/>
            <br /><br />
            </td>
    <td width="35%" valign="top" class="Normal">
        <br />
        <div class="Normal" style="vertical-align:bottom;">
            <strong>Upload Report</strong>
            <br />
            <label><strong>Report Title:</strong></label>
            <asp:TextBox ID="txtReportName" runat="server" />
            <asp:FileUpload ID="fuReportUpload" runat="server"/>
            <br /><asp:Button ID="btnDoUpload" OnClick="btnDoUpload_Click" runat="server" Text="Upload Report" CssClass="Normal" style="vertical-align:baseline;" />
        </div>
        <div class="Normal" style="vertical-align:bottom;">
        <hr />
        <asp:Button ID="btnDeleteReport" runat="server" Text="Delete Selected Report" OnClick="btnDeleteReport_Click" OnClientClick="return ConfirmDelete();" CssClass="Normal" />
        </div>
    </td>
</tr>

<tr>
    <td align="center">
        <asp:Button ID="btnApplyClrFltr" 
            Text="Use Selected Report and &#010; Delete Filter Templates" CssClass="Normal" 
            runat="server" Height="5em" onclick="btnApplyClrFltr_Click" OnClientClick="return ConfirmApply()" Width="175px" />
    </td>
    <td colspan="1" align="right">
    <asp:Button ID="btnApply" Text="Use Selected Report" Height="5em" CssClass="Normal" OnClick="btnApply_Click" OnClientClick="return ConfirmApply()" runat="server" />&nbsp;<input type="button" onclick="self.close();" value="Cancel" class="Normal" style="height:5em" /></td>
</tr>
</table>
<br />
<asp:Label ID="lblMessage" CssClass="Normal" runat="server" Text="" />
