﻿/*
* =============================================================
* Copyright (c) 2010 - Custom Business Solutions, Inc.
* =============================================================
* 20100310 KMenor Initial Creation
* =============================================================
*/

function dynamicGridObject() {
    // Variables
    this.ModuleID = "";    
    this.ControlID = "";
    this.ControlPath = "";

    // Return the grid object        
    this.Grid = function (){
        return eval("gridSearch_" + this.ModuleID);
    }
        
    // Display a popup window
    this.ShowPopUp = function(queryString,w,h)
    {
        var url = this.ControlPath + "/DynamicGridPopUp.aspx?" + queryString;
        window.open(url,'_blank','width=' + w +',height=' + h + ',status=no,toolbar=no,scrollbars=yes,menubar=no,location=no, resizable=yes, state=1');
    }
    
    // Display a popup window for filter template
    this.ShowFilter = function(queryString,w,h) 
    {
        var furl = this.ControlPath + "/PopUpControls/LoadFilter.aspx?" + queryString;
        window.open(furl, '_blank', 'width=' + w + ',height=' + h + ',status=no,toolbar=no,scrollbars=yes,menubar=no,location=no, resizable=yes, state=1');
    }
    
    // Refresh the grid
    this.Refresh = function()
    {
        if (this.Grid() != "" && this.Grid() != undefined)
        {
            // Basic variable check
            var startdate = document.getElementById(this.ControlID + '_param_startdate');
            var enddate = document.getElementById(this.ControlID + '_param_enddate');
            var reporton = document.getElementById(this.ControlID + '_param_reporton');
            
            if ((startdate != undefined || startdate != null) && (enddate != undefined || enddate != null))
            {
                if (new Date(startdate.value) > new Date(enddate.value))
                {
                    alert('Start date cannot be after end date. Please modify your selection.');
                    return false;
                }
            }
            
            if (reporton.value == "")
            {
                alert('No units selected. Please make a Report On selection.');
                return false;
            }

            // Deselect the current record
            for(var i in this.Grid().SelectedRecords)
            {
                this.Grid().deselectRecord(i);
            }
            this.Grid().refresh();
        
        }
    }
    
    this.Print = function() {
		this.Grid().print();		
        return false;
    }

}

